package app.insti.fragment;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Toast;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

import com.google.android.gms.auth.api.signin.internal.Storage;
import com.google.firebase.database.DatabaseReference;
import com.google.firebase.database.FirebaseDatabase;
import com.google.firebase.storage.StorageReference;

import java.util.ArrayList;
import java.util.List;

import app.insti.R;
import app.insti.api.model.BroadActivity;
import app.insti.api.model.SubActivity;

public class SubActivityFragment extends Fragment {

    private StorageReference storageReference;
    private DatabaseReference databaseReference;
    private List<SubActivity> subActivityList;

    public SubActivityFragment(){

    }

    @Nullable
    @Override
    public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.fragment_sub_activity, container, false);

        RecyclerView subActivitiesList = view.findViewById(R.id.subActivitiesList);
        subActivitiesList.setLayoutManager(new LinearLayoutManager(getContext()));

        subActivityList = new ArrayList<>();

        databaseReference = FirebaseDatabase.getInstance().getReference("subactivities");
        Toast.makeText(getContext(),"hello", Toast.LENGTH_SHORT).show();

        return view;
    }

}